osgAnimation::TemplateKeyframe< T > Class Template Reference

`#include <Keyframe>`

Inheritance diagram for osgAnimation::TemplateKeyframe< T >:

## Public Types

typedef T | value_type

## Public Member Functions

| TemplateKeyframe ()
| ~TemplateKeyframe ()
| TemplateKeyframe (double time, const T &value)
void | setValue (const T &value)
const T & | getValue () const
Public Member Functions inherited from osgAnimation::Keyframe
double | getTime () const
void | setTime (double time)

## Protected Attributes

T | _value
Protected Attributes inherited from osgAnimation::Keyframe
double | _time

## Member Typedef Documentation

## value_type

template<class T>

typedef T osgAnimation::TemplateKeyframe< T >::value_type

## Constructor & Destructor Documentation

## TemplateKeyframe() [1/2]

template<class T>

osgAnimation::TemplateKeyframe< T >::TemplateKeyframe | ( |  | ) |

inline

## ~TemplateKeyframe()

template<class T>

osgAnimation::TemplateKeyframe< T >::~TemplateKeyframe | ( |  | ) |

inline

## TemplateKeyframe() [2/2]

template<class T>

osgAnimation::TemplateKeyframe< T >::TemplateKeyframe | ( | double | time,
|  | const T & | value )

inline

## Member Function Documentation

## getValue()

template<class T>

const T & osgAnimation::TemplateKeyframe< T >::getValue | ( |  | ) | const

inline

## setValue()

template<class T>

void osgAnimation::TemplateKeyframe< T >::setValue | ( | const T & | value | ) |

inline

## Member Data Documentation

## _value

template<class T>

T osgAnimation::TemplateKeyframe< T >::_value

protected

The documentation for this class was generated from the following file:

- Keyframe